<?php

if (!defined("WHMCS")) die("This file cannot be accessed directly");

use WHMCS\Module\Server\VirtFusionResourcePack\ModuleFunctions;

/**
 * @return array
 */
function VirtFusionResourcePack_MetaData(): array
{
    return [
        'DisplayName' => 'VirtFusion Resource Packs',
        'APIVersion' => '1.1',
        'RequiresServer' => true,
        'ServiceSingleSignOnLabel' => false,
        'AdminSingleSignOnLabel' => false,
    ];
}

/**
 * @return array[]
 */
function VirtFusionResourcePack_ConfigOptions(): array
{
    return [
        "resourcePackId" => [
            "FriendlyName" => "Resource Pack ID",
            "Type" => "text",
            "Size" => "20",
            "Description" => "The ID of the resource pack shown in VirtFusion. (Self Service -> Resource Packs)",
            "Default" => "",
        ],
        "resourcePackDeleteDelay" => [
            "FriendlyName" => "Deletion Delay",
            "Type" => "text",
            "Size" => "10",
            "Description" => "The deletion delay in minutes that should be applied to servers when a pack is terminated.",
            "Default" => "60",
        ],
        'resourcePackTerminateType' => [
            "FriendlyName" => "Termination Type",
            'Type' => 'radio',
            'Options' => 'Delete Servers,Suspend Servers',
            'Description' => 'If Delete Servers is selected, the Deletion Delay will be used.',
            "Default" => "Delete Servers",
        ],
    ];
}

/**
 * @param array $params
 * @return mixed|string
 */
function VirtFusionResourcePack_CreateAccount(array $params): mixed
{
    return (new ModuleFunctions())->createAccount($params);
}

/**
 * @param array $params
 * @return string
 */
function VirtFusionResourcePack_SuspendAccount(array $params): string
{
    return (new ModuleFunctions())->suspendAccount($params);
}

/**
 * @param array $params
 * @return string
 */
function VirtFusionResourcePack_UnsuspendAccount(array $params): string
{
    return (new ModuleFunctions())->unsuspendAccount($params);
}

/**
 * @param array $params
 * @return string
 */
function VirtFusionResourcePack_TerminateAccount(array $params): string
{
    return (new ModuleFunctions())->terminateAccount($params);
}

/**
 * @param array $params
 * @return string
 */
function VirtFusionResourcePack_ChangePackage(array $params): string
{
    return 'false';
}

/**
 * @param array $params
 * @return array
 */
function VirtFusionResourcePack_AdminServicesTabFields(array $params): array
{
    return (new ModuleFunctions())->adminServicesTabFields($params);
}

/**
 * @param array $params
 * @return void
 */
function VirtFusionResourcePack_AdminServicesTabFieldsSave(array $params): void
{
    (new ModuleFunctions())->adminServicesTabFieldsSave($params);
}

/**
 * @param array $params
 * @return array
 */
function VirtFusionResourcePack_ClientArea(array $params): array
{
    return (new ModuleFunctions())->clientArea($params);
}
